Subject: Re: MPLS for Linux kernel

From: "Jorge Boncompte [DTI2]" <[email-masked]>
Date: Mon, 21 Nov 2011 18:46:20 +0100

El 21/11/2011 18:17, Stephen Hemminger escribió:
> On Mon, 21 Nov 2011 16:01:26 +0100
> "Jorge Boncompte [DTI2]" <[email-masked]> wrote:
> 
>> El 20/11/2011 22:59, Igor Maravić escribió:
>>> Hi all,
>>> I've been working on implementation of MPLS for Linux kernel, for a
>>> some time now.
>>> I continued the work of James Leu
>>> (https://sourceforge.net/projects/mpls-linux/) and used some fixes of
>>> Jorge Boncompte
>>> (http://mpls-linux.git.sourceforge.net/git/gitweb.cgi?p=mpls-linux/net-next;a=shortlog;h=refs/heads/net-next-mpls).
>>>
>>> I fixed a lot of bugs, so now it can be compiled and run with all
>>> Kernel Hacking options enabled.
>>> My code could be found on this sites:
>>>
>>> https://github.com/i-maravic/MPLS-Linux
>>> https://github.com/i-maravic/iproute2
>>>
>>> Any feedback is appreciated :)
>>
>> 	Provide, clean, separated, and commented changes to the upstream project as we
>> have asked you several times to do.
>>
>> 	mpls-linux it is not ready to go upstream in my opinion.
> 
> Out of tree is out of mind. Very few developers will bother with
> a kernel component not in the mainline tree.

	Yes, I am well aware of it. I've been cleaning the code, as time permits, with
the intention of trying to submit it.

> Staging?

	I have not really looked at it but I thought that staging is only for drivers?
The mpls-linux code has some (little) hooks in the core networking stuff but I
think that maybe we can remove them and make it almost stand alone.

	I would be more than happy to move the code out of the shadows.

-- 
==============================================================
Jorge Boncompte - Ingenieria y Gestion de RED
DTI2 - Desarrollo de la Tecnologia de las Comunicaciones
--------------------------------------------------------------
C/ Abogado Enriquez Barrios, 5   14004 CORDOBA (SPAIN)
Tlf: +34 957 761395 / FAX: +34 957 450380
==============================================================
- There is only so much duct tape you can put on something
  before it just becomes a giant ball of duct tape.
==============================================================